#include<stdlib.h>
#include<stdio.h>

using namespace std;

int daliima(int b[],int l,int p)
{
    int i=0,br=0;
    for(i=0;i<l;i++)
        if(b[i]==p)br++;
    if(br==0)return 0;
    else return 1;
}


int a[1000000],b[1000000];
int main()
{
    int n,k,i,br=0,j,l=0;
    scanf("%d%d",&n,&k);
    for(i=0;i<n;i++)scanf("%d",&a[i]);

    for(i=0;i<n;i++){
        for(j=0;j<n;j++){
            if(a[i]==a[j])br++;}
    if(br>=k)
    {
        if(daliima(b,l,a[i])==0){
    b[l]=a[i];
    l++;
    }}
    br=0;
    }
    printf("%d\n",l);
    for(i=0;i<l;i++)
        printf("%d ",b[i]);
    return 0;
}